/* Miam */

@import "~angular-calendar/scss/angular-calendar.scss";
@import "./miam.component.scss";
@import "./miam.animation.scss";

:root {
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Color
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
  --m-color-primary : var(--miam-color-primary, #2bb6aa );
  --m-color-primary-light: var(--miam-color-primary-light, #eafaf9);
  --m-color-primary-dark: var(--miam-color-primary-dark, #419f97);
  --m-color-primary-text: var(--miam-color-primary-text,#fff);

  --m-color-secondary: var(--miam-color-secondary,#ef760f) ;
  --m-color-secondary-light:  var(--miam-color-secondary-light, #FAEBD7);
  --m-color-secondary-dark: var(--miam-color-secondary-dark, #ef7711);
  --m-color-secondary-text: var(--miam-color-secondary-text, #fff);

  --m-color-ternary: var(--miam-color-ternary, #1accf8 ); 
  --m-color-ternary-light:  var(--miam-color-ternary-light, #cef4fd);
  --m-color-ternary-dark: var(--miam-color-ternary-dark, #057894);
  --m-color-ternary-text:  var(--miam-color-ternary-text,#fff);

  --m-color-success: var(--miam-color-success, var(--m-color-primary));
  --m-color-success-text: var(--miam-color-success-text,#fff);

  --m-color-info: var(--miam-color-info,var(--m-color-primary));
  --m-color-info-text: var(--miam-color-info-text,var(--m-color-white));

  --m-color-warning: var(--miam-color-warning,var(--m-color-secondary));
  --m-color-warning-text: var(--miam-color-warning-text,#fff);

  --m-color-danger: var(--miam-color-danger,#f44336);
  --m-color-danger-light: var(--miam-color-danger,#ef9a9a);
  --m-color-danger-text: var(--m-color-danger-text,#fff);

  --m-color-grey: var(--miam-color-grey,#f5f5f5);
  --m-color-grey-text: var(--miam-color-grey-text,#ACB0B9);
  --m-color-grey-text-dark: var(--miam-color-grey-text-dark,#757575);

  --m-color-white: var(--miam-color-white,#fff);
  --m-color-black: var(--miam-color-black,black);

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Border radius
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-border-radius: var(--miam-border-radius,16px);
  --m-border-radius-circle: 50%;
  --m-border-radius-pill: 25px;

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Elevation
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-shadow-small: var(--miam-shadow-small,-2px 2px 5px 0 rgba(67, 86, 100, 0.12), -1px 1px 2px 0 rgba(67, 70, 74, 0));

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Typography
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  // Font sizes
  --m-font-size-small: var( --miam-font-size-small,14px);
  --m-font-size-medium: var( --miam-font-size-medium,16px);
  --m-font-size-large: var( --miam-font-size-large,20px);
  --m-font-size-Xlarge: var( --miam-font-size-Xlarge,24px);

  // Font weights
  --m-font-weight-light: var( --miam-font-weight-light,300);
  --m-font-weight-normal: var( --miam-font-weight-normal,400);
  --m-font-weight-semibold: var( --miam-font-weight-semibold,500);
  --m-font-weight-bold: var( --miam-font-weight-bold,700);

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // transition
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-default-transition: var(--miam-default-transition,all 0.3s ease-in-out);

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // z-index
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  --m-z-index-position-absolute-low : var(--miam-z-index-position-absolute-low,0);
  --m-z-index-position-absolute-high : var(--miam-z-index-position-absolute-high,1);
  --m-z-index-loader : var(--miam-z-index-loader,2);
  --m-z-index-modal-overlay: var( --miam-z-index-modal-overlay,6000);
  --m-z-index-modal: var( --miam-z-index-modal,6001);
  --m-z-index-drawer-overlay: var(--miam-z-index-drawer-overlay,5000001); 
  --m-z-index-drawer-container: var(--miam-z-index-drawer-container,5000002); 

  @media print {
    .miam-not-printable{
      display: none;
    }

    &:last-child{
      page-break-after: auto;
    }
   }

   .miam-print-only{
     display: none;
     @media print {
      display: block;
    }
   }
}
